Name:           doom-autodownloader
Version:        0.1
Release:        1%{?dist}
Summary:        Doom autodownloader for downloading shareware levels
Source0:        doom.autodlrc
Source1:        doom-shareware-downloader.sh
Source2:        doom-shareware-downloader.desktop
Source3:        doom-logo.png
URL:            http://vavoom-engine.com/
Group:          Amusements/Games
License:        GPLv2+
Requires:       autodownloader

%description
Doom shareware maps downloader.  Can be used in combination with Doom engines 
or "source ports" such as PrBoom, Vavoom or Chocolate Doom as a alternative 
to Freedoom. 

%prep 
# nothing to prep

%build
# nothing to build

%install
# install autodl file and wrapper script
mkdir -p %{buildroot}/%{_datadir}/doom-shareware
install -p -m 644 %{SOURCE0} %{buildroot}/%{_datadir}/doom-shareware/

mkdir -p %{buildroot}/%{_bindir}/
install -p -m 755 %{SOURCE1} %{buildroot}/%{_bindir}/doom-shareware-downloader


# below is the desktop file and icon stuff.
mkdir -p %{buildroot}/%{_datadir}/applications

desktop-file-install \
     --dir %{buildroot}/%{_datadir}/applications/ %{SOURCE2}

mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE3} \
  %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%{_bindir}/doom-shareware-downloader
%{_datadir}/applications/doom-shareware-downloader.desktop
%{_datadir}/doom-shareware/doom.autodlrc
%{_datadir}/icons/hicolor/48x48/apps/doom-logo.png

%changelog
* Mon Aug 29 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.1-1
- split out the Doom shareware downloader from vavoom package

